/* binio.h */


/*
 * Functions to do binary I/O of floats, ints, etc. with byte swapping
 * as needed.
 */

#ifndef BINIO_H
#define BINIO_H

/* Include files which define SEEK_SET, O_RD_ONLY, etc. */
/* and prototype open(), close(), lseek(), etc. */
#include <unistd.h>
#include <fcntl.h>

#ifdef __STDC__
#  define PROTO(x) x
#else
#  define PROTO(x) ()	
#endif

extern void flip4 PROTO(( unsigned int *src, unsigned int *dest, int n ));
extern void flip2 PROTO(( unsigned short *src, unsigned short *dest, int n ));

#ifdef cray
  extern void cray_to_ieee_array( /* dest, source, n */ );
  extern void ieee_to_cray_array( /* dest, source, n */ );
#endif

/******************************************************/
/*                    Read Functions                  */
/******************************************************/
extern int read_int4 PROTO(( int f, int *i ));
extern int read_float4 PROTO(( int f, float *x ));

/*******************************************************/
/*               Write Functions                       */
/*******************************************************/
extern int write_int4 PROTO(( int f, int i ));
extern int write_float4 PROTO(( int f, float x ));

#undef PROTO

#endif
/* java_ser.h */

#define LARGE_SIZE 5000000      /* It will cover approximately 20MB data */

extern int java_fser_(char *name, double *time, double x[], double fx[], int *nx);

extern int java_ser_(char *name, double *time, double x[], double fx[], int *nx);

extern int java_mser_(char *name, int *nt, double time[], double x[], double fx[], int nx[]);

extern int java_fser2d_(char *name, double *time, double x[], double y[], double fxy[], int *nx);

extern int java_ser2d_(char *name, double *time, double x[], double y[], double fxy[], int *nx);

extern int java_mser2d_(char *name, int *nt, double time[], double x[], double y[], double fxy[], int nx[]);

extern int java_bser2d_(char *name, double *time, double x[], int *nx, double y[], int *ny, double fxy[]);

extern int java_bmser2d_(char *name, int *nt, double time[], double x[], int nx[], double y[], int ny[], double fxy[]);

extern int java_bbser2d_(char *name, double *time, double bb[], int *nx, int *ny, double fxy[]);

extern int java_bbmser2d_(char *name, int *nt, double time[], double bb[][4], int nx[], int ny[], double fxy[]);

extern int java_vser_(char *name, double *time, double x[], double y[], double r[], double t[], int *nx);

extern int java_vmser_(char *name, int *nt, double time[], double x[], double y[], double r[], double t[], int nx[]);

extern int java_bbser_(char *name, double *time, double bb[], int *nx, double fx[]);

extern int java_bbmser_(char *name, int *nt, double time[], double bb[][4], int nx[], double fx[]);

extern int java_pser_(char *name, double *time, double x[], double fx[], int *nx, int *p); 

extern int java_pser2d_(char *name, double *time, double x[], double y[], double fxy[], int *nx, int *p); 

extern int java_pbbser2d_(char *name, double *time, double bb[], int *nx, int *ny, double fxy[], int *p);

extern int java_ser3d_(char *name, double *time, int *nx, int *ny, int *nz, double *threshold, double grid[]);

extern int java_mser3d_(char *name, int *nt, double time[], int nx[], int ny[], int nz[], double *threshold, double grid[]);


/* sockio.h */

/*
 * Functions to do binary I/O of floats, ints, etc. with byte swapping
 * as needed.
 */

#ifndef SOCKIO_H
#define SOCKIO_H

extern int initialize();

#endif
